import os
CMD_NUM = os.environ.get("CMD_NUM", '')


class _BotCommands:
    def __init__(self):
        self.StartCommand = 'start'
        self.GDTOTCommand = f'gdtot{CMD_NUM}'
        self.MirrorCommand = f'mirror{CMD_NUM}'
        self.UnzipMirrorCommand = f'unzipmirror{CMD_NUM}'
        self.ZipMirrorCommand = f'zipmirror{CMD_NUM}'
        self.CancelMirror = f'cancel{CMD_NUM}'
        self.CancelAllCommand = f'cancelall{CMD_NUM}'
        self.ListCommand = f'list{CMD_NUM}'
        self.SearchCommand = f'search{CMD_NUM}'
        self.StatusCommand = f'status{CMD_NUM}'
        self.AuthorizedUsersCommand = f'users{CMD_NUM}'
        self.AuthorizeCommand = f'authorize{CMD_NUM}'
        self.UnAuthorizeCommand = f'unauthorize{CMD_NUM}'
        self.AddSudoCommand = f'addsudo{CMD_NUM}'
        self.RmSudoCommand = f'rmsudo{CMD_NUM}'
        self.PingCommand = f'ping{CMD_NUM}'
        self.RestartCommand = f'restart{CMD_NUM}'
        self.StatsCommand = f'stats{CMD_NUM}'
        self.HelpCommand = f'help{CMD_NUM}'
        self.LogCommand = f'log{CMD_NUM}'
        self.SpeedCommand = f'speedtest{CMD_NUM}'
        self.CloneCommand = f'clone{CMD_NUM}'
        self.CountCommand = f'count{CMD_NUM}'
        self.WatchCommand = f'watch{CMD_NUM}'
        self.ZipWatchCommand = f'zipwatch{CMD_NUM}'
        self.QbMirrorCommand = f'qbmirror{CMD_NUM}'
        self.QbUnzipMirrorCommand = f'qbunzipmirror{CMD_NUM}'
        self.QbZipMirrorCommand = f'qbzipmirror{CMD_NUM}'
        self.DeleteCommand = f'del{CMD_NUM}'
        self.ShellCommand = f'shell{CMD_NUM}'
        self.ExecHelpCommand = f'exechelp{CMD_NUM}'
        self.LeechSetCommand = f'leechset{CMD_NUM}'
        self.SetThumbCommand = f'setthumb{CMD_NUM}'
        self.LeechCommand = f'leech{CMD_NUM}'
        self.UnzipLeechCommand = f'unzipleech{CMD_NUM}'
        self.ZipLeechCommand = f'zipleech{CMD_NUM}'
        self.QbLeechCommand = f'qbleech{CMD_NUM}'
        self.QbUnzipLeechCommand = f'qbunzipleech{CMD_NUM}'
        self.QbZipLeechCommand = f'qbzipleech{CMD_NUM}'
        self.LeechWatchCommand = f'leechwatch{CMD_NUM}'
        self.LeechZipWatchCommand = f'leechzipwatch{CMD_NUM}'

BotCommands = _BotCommands()
